%define api_version 3.0
%define pkg_name geronimo-servlet_%{api_version}_spec
Name:          geronimo-servlet-3_0-api
Version:       1.0
Release:       %mkrel 2
Summary:       Servlet 3.0 API
License:       Apache Software License 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
Source0:       http://repo2.maven.org/maven2/org/apache/geronimo/specs/%{pkg_name}/%{version}/%{pkg_name}-%{version}-source-release.tar.gz
Patch0:        geronimo-servlet_3.0-api-1.0-use_parent_pom.patch
BuildRequires: apache-rat-plugin
BuildRequires: geronimo-parent-poms
BuildRequires: maven
BuildRequires: maven-plugin-bundle
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
Geronimo Servlet 3.0 API.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo - Servlet 3.0 API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.conv && mv -f LICENSE.conv LICENSE
sed -i 's/\r//' LICENSE
%patch0 -p0
 
%build
mvn-rpmbuild install javadoc:aggregate
%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-servlet-%{api_version}-api-%{version}.jar

%add_to_maven_depmap org.apache.geronimo.specs %{pkg_name} %{version} JPP geronimo-servlet-%{api_version}-api
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-servlet-%{api_version}-api.pom

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-servlet-%{api_version}-api-%{version}.jar geronimo-servlet-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_javadocdir}/geronimo-servlet-%{api_version}-api-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-servlet-%{api_version}-api-%{version}
ln -s geronimo-servlet-%{api_version}-api-%{version} %{buildroot}%{_javadocdir}/geronimo-servlet-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-servlet-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-servlet-3.0-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE

%files javadoc
%{_javadocdir}/geronimo-servlet-%{api_version}-api-%{version}
%{_javadocdir}/geronimo-servlet-%{api_version}-api



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 351470
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 1.0-1.mga3
+ Revision: 343190
- Build with maven3

* Sat Sep 03 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 138172
- Adapt to mageia guidelines

  + gil <gil>
    - imported package geronimo-servlet-3_0-api

